# NoccyLabs PHP 8.3 Alpine All-in-One Base Image

This is an AIO container done mostly right. It contains Nginx, PHP 8.3 and FPM preconfigured. It also comes with a watchdog that ensures that a failure will bring down the container, allowing for self-healing by recreating containers.

## Features

* Nginx and PHP in a single container.
* Framework detection.
* Plenty of hooks.

## Frameworks

### Symfony

Symfony projects are detected from the `symfony.lock` file.

The support will ensure that composer is installed by checking for the presence of a *vendor* directory, and that the cache directories exist and are writable.

It will invoke the following hooks in the `/application/` directory if present:

- `.symfony-preinit` - invoked before the *vendor* directory check and any composer calls.
- `.symfony-init` - invoked after the *vendor* directory check.

#### BoltCMS

BoltCMS is detected and configured by the Symfony framework support script. For now, you should do your setup in the `.symfony-init` hook.

### Composer

While not a framework, as a last resort the presence of a `composer.json` file will trigger an install.
